-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
local url = "http://www.wowace.com/addons/broker_afk/localization/"

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()
if locale == "enGB" then locale = "enUS" end

vars.L = setmetatable({},{
    __index = function(t, s) 
      if locale ~= "enUS" and Ld[s] and
         not La[s] and url and not vars.locale_warning then
        vars.locale_warning = true
        print(string.format("*** %s needs help translating to your language! (%s)", addonName, locale))
	print("*** If you speak English, you can contribute by visiting:")
	print("*** "..url)
      end
      return La[s] or Ld[s] or rawget(t,s) or s 
    end
})

Ld["arena"] = "arena"
Ld["Auto Cancel Away Upon"] = "Auto Cancel Away Upon"
Ld["Auto Set Busy in"] = "Auto Set Busy in"
Ld["Automatically reply to your name in"] = "Automatically reply to your name in"
Ld["Automatically reply to your name in chat when away"] = "Automatically reply to your name in chat when away"
Ld["Automatically reply to your name in chat when busy"] = "Automatically reply to your name in chat when busy"
Ld["Automatically set Busy when in"] = "Automatically set Busy when in"
Ld["Auto-Reply"] = "Auto-Reply"
Ld["Auto-Reply Aliases"] = "Auto-Reply Aliases"
Ld["Auto-Reply Channels"] = "Auto-Reply Channels"
Ld["Auto-Reply when Away"] = "Auto-Reply when Away"
Ld["Auto-Reply when Busy"] = "Auto-Reply when Busy"
Ld["Away Alert Sound"] = "Away Alert Sound"
Ld["Away Reminder Window"] = "Away Reminder Window"
Ld["Away status replies"] = "Away status replies"
Ld["Battle.net status"] = "Battle.net status"
Ld["battleground"] = "battleground"
Ld["Broker_AFK"] = "Broker_AFK"
Ld["Busy status replies"] = "Busy status replies"
Ld["Close this window but remain Away"] = "Close this window but remain Away"
Ld["Coalesce Away Notices"] = "Coalesce Away Notices"
Ld["Coalesce Busy Notices"] = "Coalesce Busy Notices"
Ld["Coalesce repeated Away notification replies from one player into a single notification"] = "Coalesce repeated Away notification replies from one player into a single notification"
Ld["Coalesce repeated Busy notification replies from one player into a single notification"] = "Coalesce repeated Busy notification replies from one player into a single notification"
Ld["Coalesce Timeout"] = "Coalesce Timeout"
Ld["Comma-seperated list of character names to recognize"] = "Comma-seperated list of character names to recognize"
Ld["Config"] = "Config"
Ld["Debug"] = "Debug"
Ld["Disable this reminder"] = "Disable this reminder"
Ld["Display a reminder window while you are Away"] = "Display a reminder window while you are Away"
Ld["Display how long you've been Away"] = "Display how long you've been Away"
Ld["Display minimap icon"] = "Display minimap icon"
Ld["Display status in player name unit frame"] = "Display status in player name unit frame"
Ld["dungeon"] = "dungeon"
Ld["Enable status replies to Battle.net whispers when away"] = "Enable status replies to Battle.net whispers when away"
Ld["Enable status replies to Battle.net whispers when busy"] = "Enable status replies to Battle.net whispers when busy"
Ld["for config"] = "for config"
Ld["General"] = "General"
Ld["Idle Alert Sound"] = "Idle Alert Sound"
Ld["I'm Back!"] = "I'm Back!"
Ld["instance"] = "instance"
Ld["is busy with"] = "is busy with"
Ld["is currently"] = "is currently"
Ld["LDB Text"] = "LDB Text"
Ld["Left Click"] = "Left Click"
Ld["Message"] = "Message"
Ld["Minimap Icon"] = "Minimap Icon"
Ld["Movement or Talking"] = "Movement or Talking"
Ld["Never"] = "Never"
Ld["Notification Coalescing"] = "Notification Coalescing"
Ld["Open the configuration GUI"] = "Open the configuration GUI"
Ld["Player Frame"] = "Player Frame"
Ld["Profiles"] = "Profiles"
Ld["raid"] = "raid"
Ld["Right Click"] = "Right Click"
Ld["scenario"] = "scenario"
Ld["Show LDB text for"] = "Show LDB text for"
Ld["Sound to play when you about to be logged out for inactivity"] = "Sound to play when you about to be logged out for inactivity"
Ld["Sound to play when you go AFK"] = "Sound to play when you go AFK"
Ld["Talking only"] = "Talking only"
Ld["Time Away"] = "Time Away"
Ld["Time window (in seconds) during which to coalesce identical notifications from one player"] = "Time window (in seconds) during which to coalesce identical notifications from one player"
Ld["to set status"] = "to set status"
Ld["Toggle debugging output"] = "Toggle debugging output"

if locale == "frFR" then do end
La["arena"] = "arène"
La["Auto-Reply"] = "Réponse automatique"
La["Auto-Reply when Away"] = "Répondre automatiquement lorsque absent"
La["Auto-Reply when Busy"] = "Réponse automatique lorsque occupé"
La["Battle.net status"] = "Statut de Battle.net"
La["battleground"] = "champ de bataille"
La["Config"] = "Configuration"
La["Debug"] = "Debug"
La["Disable this reminder"] = "Désactiver ce rappel"
La["Display how long you've been Away"] = "Afficher la durée de votre absence"
La["Display minimap icon"] = "Afficher l'icône de la mini-carte"
La["Display status in player name unit frame"] = "Afficher le statut du joueur dans le nom"
La["dungeon"] = "donjon"
La["General"] = "Général"
La["I'm Back!"] = "Je suis de retour!"
La["instance"] = "exemple"
La["is busy with"] = "est occupé avec"
La["is currently"] = "est présentement"
La["Left Click"] = "Clic gauche"
La["Message"] = "Message"
La["Minimap Icon"] = "Icône de la mini-carte"
La["Never"] = "Jamais"
La["Open the configuration GUI"] = "Afficher l'interface graphique de configuration"
La["Player Frame"] = "Cadre du lecteur"
La["Profiles"] = "Profils"
La["raid"] = "descente"
La["Right Click"] = "Clic droit"
La["Sound to play when you about to be logged out for inactivity"] = "Alerte sonore à jouer lorsque vous vous apprêtez à être déconnecté pour inactivité"
La["Sound to play when you go AFK"] = "Son à jouer lorsque vous quitter votre clavier (AFK)"
La["to set status"] = "modifier le statut"
elseif locale == "deDE" then do end
La["arena"] = "Arena"
La["Auto Cancel Away Upon"] = "Abwesend-Status automatisch abbrechen bei"
La["Auto Set Busy in"] = "Automatisch als beschäftigt anzeigen in"
La["Automatically reply to your name in"] = "Automatisch auf Chat-Anfragen antworten in "
La["Automatically reply to your name in chat when away"] = "Automatisch auf Chat-Anfragen antworten wenn abwesend"
La["Automatically reply to your name in chat when busy"] = "Automatisch auf Chat-Anfragen antworten wenn beschäftigt"
La["Automatically set Busy when in"] = "Automatisch als beschäftigt anzeigen in"
La["Auto-Reply"] = "Auto-Antwort"
La["Auto-Reply Aliases"] = "Alias-Namen für automatische Antworten"
La["Auto-Reply Channels"] = "Automatisch antworten in diesem Channel"
La["Auto-Reply when Away"] = "Automatisch antworten wenn abwesend"
La["Auto-Reply when Busy"] = "Automatisch antworten wenn beschäftigt"
La["Away Alert Sound"] = "Warnton bei Abwesenheit"
La["Away Reminder Window"] = "Abwesenheits-Fenster"
La["Away status replies"] = "Mitteilung bei Abwesenheit"
La["Battle.net status"] = "Battle.net-Status"
La["battleground"] = "Schlachtfeld"
La["Broker_AFK"] = "Broker_AFK"
La["Busy status replies"] = "Mitteilung bei Beschäftigung"
La["Close this window but remain Away"] = "Dieses Fenster schließen aber abwesend bleiben"
La["Coalesce Away Notices"] = "Abwesenheitsnachrichten verbinden"
La["Coalesce Busy Notices"] = "Nachrichten bei Beschäftigung verbinden"
La["Coalesce repeated Away notification replies from one player into a single notification"] = "Wiederholte Abwesenheitsnachrichten von einem Spieler zu einer einzigen verbinden"
La["Coalesce repeated Busy notification replies from one player into a single notification"] = "Wiederholte Beschäftigt-Nachrichten von einem Spieler zu einer einzigen verbinden"
La["Coalesce Timeout"] = "Zeitfenster für Verbindung"
La["Comma-seperated list of character names to recognize"] = "Liste der zu beachtenden Namen, getrennt mit Komma"
La["Config"] = "Konfiguration"
La["Debug"] = "Debug"
La["Disable this reminder"] = "Diese Erinnerung deaktivieren"
La["Display a reminder window while you are Away"] = "Ein Fenster zur Erinnerung während der Abwesenheit anzeigen"
La["Display how long you've been Away"] = "Zeigt, wie lange du weg gewesen bist"
La["Display minimap icon"] = "Minikartensymbol anzeigen"
La["Display status in player name unit frame"] = "Status beim Spielernamen anzeigen"
La["dungeon"] = "Dungeon"
La["Enable status replies to Battle.net whispers when away"] = "Statusmitteilungen bei Battle.net-Kontakten für Abwesenheit einschalten"
La["Enable status replies to Battle.net whispers when busy"] = "Statusmitteilungen bei Battle.net-Kontakten für Beschäftigung einschalten"
La["for config"] = "für die Konfiguration"
La["General"] = "Allgemein"
La["Idle Alert Sound"] = "Warnton bei Untätigkeit"
La["I'm Back!"] = "Ich bin zurück!"
La["instance"] = "Instanz"
La["is busy with"] = "ist beschäftigt mit"
La["is currently"] = "ist gerade"
La["LDB Text"] = "LDB-Text"
La["Left Click"] = "Linksklick"
La["Message"] = "Nachricht"
La["Minimap Icon"] = "Minikartensymbol"
La["Movement or Talking"] = "Bewegung oder Sprechen"
La["Never"] = "Nie"
La["Notification Coalescing"] = "Benachrichtigungen verbinden"
La["Open the configuration GUI"] = "Das Konfigurationsfenster öffnen"
La["Player Frame"] = "Spieler-Frame"
La["Profiles"] = "Profile"
La["raid"] = "Schlachtzug"
La["Right Click"] = "Rechtsklick"
La["scenario"] = "Szenario"
La["Show LDB text for"] = "LDB-Text anzeigen für"
La["Sound to play when you about to be logged out for inactivity"] = "Warnton für den Fall, daß der Charakter demnächst wegen Untätigkeit ausgeloggt wird"
La["Sound to play when you go AFK"] = "Sound wenn du AFK gehst"
La["Talking only"] = "Nur sprechen"
La["Time Away"] = "Abwesenheitszeit"
La["Time window (in seconds) during which to coalesce identical notifications from one player"] = "Zeitfenster (in Sekunden) währenddessen identische Nachrichten von einem Spieler verbunden werden"
La["to set status"] = "Status setzen"
La["Toggle debugging output"] = "Debug-Ausgabe umschalten"
elseif locale == "koKR" then do end
elseif locale == "esMX" then do end
elseif locale == "ruRU" then do end
elseif locale == "zhCN" then do end
La["arena"] = "竞技场"
La["Auto Cancel Away Upon"] = "自动取消离开"
La["Automatically reply to your name in chat when away"] = "当离开时自动回复"
La["Auto-Reply"] = "自动回复"
La["Auto-Reply Channels"] = "自动回复频道"
La["Auto-Reply when Away"] = "当离开时自动回复"
La["Auto-Reply when Busy"] = "当繁忙时自动回复"
La["Away Alert Sound"] = "暂离警报音效"
La["Away Reminder Window"] = "暂离提醒窗口"
La["battleground"] = "战场"
La["Broker_AFK"] = "Broker_AFK"
La["Close this window but remain Away"] = "关闭这个窗口并保持暂离"
La["Config"] = "配置"
La["Debug"] = "除错"
La["Disable this reminder"] = "禁用这个提醒器"
La["Display a reminder window while you are Away"] = "当你暂离时显示一个提醒窗口"
La["Display how long you've been Away"] = "显示已暂离的时间"
La["Display status in player name unit frame"] = "在玩家头像的名字里显示状态"
La["dungeon"] = "副本"
La["for config"] = "配置"
La["General"] = "综合"
La["I'm Back!"] = "我回来了！"
La["instance"] = "副本"
La["is currently"] = "当前状态为"
La["Left Click"] = "左键点击"
La["Message"] = "消息"
La["Movement or Talking"] = "移动中或交谈中"
La["Never"] = "从不"
La["Open the configuration GUI"] = "打开图形配置界面"
La["Player Frame"] = "玩家框体"
La["Profiles"] = "配置文件"
La["raid"] = "团队"
La["Right Click"] = "右键点击"
La["Sound to play when you go AFK"] = "当你AFK时要播放的音效"
La["Talking only"] = "仅移动中"
La["Time Away"] = "暂离时间"
La["to set status"] = "设置状态"
La["Toggle debugging output"] = "开启/关闭除错的输出"
elseif locale == "esES" then do end
La["arena"] = "arena"
La["Auto Cancel Away Upon"] = "Auto Cancelar Ausente a"
La["Auto Set Busy in"] = "Poner Ocupado automáticamente en"
La["Automatically reply to your name in"] = "Responde automáticamente en tu nombre en"
La["Automatically reply to your name in chat when away"] = "Responde automáticamente en tu nombre cuando estás ausente"
La["Automatically reply to your name in chat when busy"] = "Responde automáticamente en tu nombre cuando estás ocupado"
La["Automatically set Busy when in"] = "Pone Ocupado automáticamente cuando se está en"
La["Auto-Reply"] = "Auto-Respuesta"
La["Auto-Reply Aliases"] = "Alias Auto-Respuesta"
La["Auto-Reply Channels"] = "Canales de Auto-Respuesta"
La["Auto-Reply when Away"] = "Auto-Respuesta cuando se está ausente"
La["Auto-Reply when Busy"] = "Auto respuesta cuando se está ocupado"
La["Away Alert Sound"] = "Alerta de Sonido cuando se está Ausente"
La["Away Reminder Window"] = "Ventana de recordatorio de esta Ausente"
La["Away status replies"] = "Repuestas para el estado Ausente"
La["Battle.net status"] = "Estado de Battle.net"
La["battleground"] = "campo de batalla"
La["Broker_AFK"] = "Broker_AFK"
La["Busy status replies"] = "Repuestas para el estato Ocupado"
La["Close this window but remain Away"] = "Cerrar esta ventana pero permanecer Ausente"
La["Coalesce Away Notices"] = "Agrupar Avisos de Ausencia"
La["Coalesce Busy Notices"] = "Agrupar Avisos de Ocupado"
La["Coalesce repeated Away notification replies from one player into a single notification"] = "Agrupar repetidas respuestas de aviso de Ausencia de un jugador en un único aviso"
La["Coalesce repeated Busy notification replies from one player into a single notification"] = "Agrupar repetidas respuestas de aviso de Ocupado de un jugador en un único aviso"
La["Coalesce Timeout"] = "Tiempo de espera de agrupación"
La["Comma-seperated list of character names to recognize"] = "Lista de nombres de personajes a reconocer, separados por comas"
La["Config"] = "Configuración"
La["Debug"] = "Depurar"
La["Disable this reminder"] = "Deshabilitar este recordatorio"
La["Display a reminder window while you are Away"] = "Visualiza una ventana de recordatorio mientras estás Ausente"
La["Display how long you've been Away"] = "Visualiza cuanto tiempo has estado Ausente"
La["Display minimap icon"] = "Visualizar Icono del Minimapa"
La["Display status in player name unit frame"] = "Visualiza el estado en el marco del nombre de la unidad"
La["dungeon"] = "mazmorra"
La["Enable status replies to Battle.net whispers when away"] = "Responder a susurros Battle.net cuando estás ausente"
La["Enable status replies to Battle.net whispers when busy"] = "Responder a susurros Battle.net cuando estás ocupado"
La["for config"] = "para configurar"
La["General"] = "General"
La["Idle Alert Sound"] = "Alerta de sonido por inactividad"
La["I'm Back!"] = "¡He Vuelto!"
La["instance"] = "instancia"
La["is busy with"] = "está ocupado con"
La["is currently"] = "está actualmente"
La["LDB Text"] = "Texto LDB"
La["Left Click"] = "Clic Izquierdo"
La["Message"] = "Mensaje"
La["Minimap Icon"] = "Icono del Minimapa"
La["Movement or Talking"] = "Movimiento o Hablando"
La["Never"] = "Nunca"
La["Notification Coalescing"] = "Agrupación de Avisos"
La["Open the configuration GUI"] = "Abrir la interfaz de configuración"
La["Player Frame"] = "Marco del Jugador"
La["Profiles"] = "Perfiles"
La["raid"] = "encuentro"
La["Right Click"] = "Clic Derecho"
La["Show LDB text for"] = "Mostra texto LDB para"
La["Sound to play when you about to be logged out for inactivity"] = "Sonido a reproducir cuando estés a punto de ser desconectado por inactividad"
La["Sound to play when you go AFK"] = "Sonido a reproducir cuando estás ausente"
La["Talking only"] = "Sólo Hablando"
La["Time Away"] = "Tiempo Ausente"
La["Time window (in seconds) during which to coalesce identical notifications from one player"] = "Ventana de tiempo (en segundos) durante el cual se unen avisos idénticos de un jugador"
La["to set status"] = "establecer estado"
La["Toggle debugging output"] = "Conmutar la salida de depuración"
elseif locale == "zhTW" then do end
La["arena"] = "競技場"
La["Auto-Reply"] = "自動回覆"
La["Auto-Reply Channels"] = "自動回覆頻道"
La["Auto-Reply when Away"] = "當離開時自動回覆"
La["Auto-Reply when Busy"] = "當忙碌時自動回覆"
La["Away Alert Sound"] = "離開警報聲音"
La["battleground"] = "戰場"
La["Broker_AFK"] = "Broker_AFK"
La["Debug"] = "偵錯"
La["Display status in player name unit frame"] = "在玩家單位框架顯示狀態"
La["General"] = "綜合"
La["instance"] = "副本"
La["is currently"] = "目前"
La["LDB Text"] = "LDB文字"
La["Left Click"] = "左鍵點擊"
La["Message"] = "訊息"
La["Never"] = "從不"
La["Player Frame"] = "玩家框架"
La["Profiles"] = "設置檔"
La["raid"] = "團隊"
La["Right Click"] = "右鍵點擊"
La["Sound to play when you go AFK"] = "當你進入離開狀態時撥放聲音"
elseif locale == "ptBR" then do end
elseif locale == "itIT" then do end
La["arena"] = "arena"
La["battleground"] = "campo di battaglia"
La["Broker_AFK"] = "Broker_AFK"
La["Debug"] = "modalità sviluppatore"
La["for config"] = "per configurare"
La["General"] = "Generale"
La["is busy with"] = "è impegnato con"
La["is currently"] = "al momento"
La["Left Click"] = "Click Sinistro"
La["Message"] = "Messaggio"
La["Profiles"] = "Profili"
La["Right Click"] = "Click Destro"
La["to set status"] = "per impostare uno stato"
La["Toggle debugging output"] = "attiva i messaggi sviluppatore"
end
